# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'nba_drilldown/version'

Gem::Specification.new do |spec|
  spec.name          = "nba_drilldown"
  spec.version       = NbaDrilldown::VERSION
  spec.authors       = ["tuckerbohman5"]
  spec.email         = ["tucker.bohman@gmail.com"]

  spec.summary       = "A gem to learn about NBA teams and players"
  spec.description   = "A gem to learn about NBA teams and players more functionaility to come."
  spec.homepage      = "http://github.com/tuckerbohman5"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org by setting 'allowed_push_host', or
  # delete this section to allow pushing this gem to any host.
  #if spec.respond_to?(:metadata)
   # spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com'"
  #else
    #raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  #end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "bin"
  #spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.executables = ["nba-drilldown"]
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.10"
  spec.add_development_dependency "rake", "~> 10.0"

  spec.add_development_dependency "pry"

  spec.add_dependency "nokogiri", "~> 1.6.7.2"
end
